org.apache.ignite.internal.processors.query.schema.operation

## Class SchemaIndexCreateOperation

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation
  - - org.apache.ignite.internal.processors.query.schema.operation.SchemaIndexAbstractOperation
    - - org.apache.ignite.internal.processors.query.schema.operation.SchemaIndexCreateOperation

All Implemented Interfaces:
  Serializable

    public class SchemaIndexCreateOperation
    extends SchemaIndexAbstractOperation

Schema index create operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCreateOperation(UUID opId, String cacheName, String schemaName, String tblName, QueryIndex idx, boolean ifNotExists, int parallel)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `ifNotExists()`
`QueryIndex` `index()`
`String` `indexName()`
`int` `parallel()` Gets index creation parallelism level.
`String` `tableName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation

`cacheName, id, schemaName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCreateOperation

    public SchemaIndexCreateOperation(UUID opId,
                                      String cacheName,
                                      String schemaName,
                                      String tblName,
                                      QueryIndex idx,
                                      boolean ifNotExists,
                                      int parallel)

Constructor.

Parameters:
  `opId` - Operation id.
  `cacheName` - Cache name.
  `schemaName` - Schame name.
  `tblName` - Table name.
  `idx` - Index params.
  `ifNotExists` - Ignore operation if index exists.
  `parallel` - Index creation parallelism level.

### Method Detail

#### indexName

    public String indexName()

Specified by:
  `indexName` in class `SchemaIndexAbstractOperation`
Returns:
  Index name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### index

    public QueryIndex index()

Returns:
  Index params.

#### ifNotExists

    public boolean ifNotExists()

Returns:
  Ignore operation if index exists.

#### parallel

    public int parallel()

Gets index creation parallelism level.

Returns:
  Index creation parallelism level.

#### toString

    public String toString()

Overrides:
  `toString` in class `SchemaAbstractOperation`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022